Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.session
Class GraphSession.StructureSnapshot<PropertyPayload>

    java.lang.Object
      org.modeshape.graph.session.GraphSession.StructureSnapshot<PropertyPayload>

Type Parameters:
  `PropertyPayload` - the property payload

All Implemented Interfaces:
  Iterable<GraphSession.Snapshot<PropertyPayload>>

Enclosing class:
  GraphSession<Payload,PropertyPayload>

    @Immutable
    public static final class GraphSession.StructureSnapshot<PropertyPayload>

extends Object
implements Iterable<GraphSession.Snapshot<PropertyPayload>>

A read-only visitor that walks the cache to obtain a snapshot of the cache structure. The resulting snapshot contains the location of each node in the tree, including unloaded nodes.

Constructor Summary
`protected` | `GraphSession.StructureSnapshot(NamespaceRegistry registry, List<GraphSession.Snapshot<PropertyPayload>> snapshotsInPreOrder)`

Method Summary
`List<GraphSession.Snapshot<PropertyPayload>>` | `getSnapshotsInPreOrder()` Get the Location for every node in this cache
`Iterator<GraphSession.Snapshot<PropertyPayload>>` | `iterator()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphSession.StructureSnapshot

    protected GraphSession.StructureSnapshot(NamespaceRegistry registry,
                                             List<GraphSession.Snapshot<PropertyPayload>> snapshotsInPreOrder)

Method Detail

### iterator

    public Iterator<GraphSession.Snapshot<PropertyPayload>> iterator()

  Specified by:
    `iterator` in interface `Iterable<GraphSession.Snapshot<PropertyPayload>>`
  See Also:
    `Iterable.iterator()`

### getSnapshotsInPreOrder

    public List<GraphSession.Snapshot<PropertyPayload>> getSnapshotsInPreOrder()

  Get the Location for every node in this cache

  Returns:
    the node locations (in pre-order)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.